CREATE TABLE `tbOrganization` ( 
	`OrganizationId` AUTOINCREMENT,
	`OrganizationCode` VARCHAR(150),
	`ConcurrencyID` TEXT(50),
	CONSTRAINT `PK__tbOrganization` PRIMARY KEY (`OrganizationId`)
	)
GO

	INSERT INTO `tbOrganization`
		(
			`OrganizationId`
			,`OrganizationCode`
			,`ConcurrencyId`
		)
	VALUES
		(
			1
			,NULL
			,'A9102EB9-D3BB-4eed-9809-931D615301C8'
		)
GO

ALTER TABLE `tbUser` ADD COLUMN `OrganizationId` INT NULL
GO

UPDATE tbUser SET `OrganizationId` = 1 WHERE `OrganizationId` IS NULL
GO

ALTER TABLE `tbUser` ALTER COLUMN `OrganizationId` INT NOT NULL
GO

ALTER TABLE `tbUser`
	ADD CONSTRAINT `FK_tbUser_OrganizationId` FOREIGN KEY (
		`OrganizationId`)
	 REFERENCES `tbOrganization` (
		`OrganizationId`)
GO