CREATE TABLE `tbSettings`
(
	 `SettingId`		AUTOINCREMENT
	,`SettingCode`		NVARCHAR(255) NOT NULL
	,`ConcurrencyID`	VARCHAR(50) NOT NULL
	,CONSTRAINT `PK_tbSettings` PRIMARY KEY (`SettingId`)
)

GO

CREATE TABLE `tbUserSettings`
(
	 `UserSettingId`	AUTOINCREMENT
	,`UserId`			INT NOT NULL
	,`SettingId`		INT NOT NULL
	,`SettingValue`		NVARCHAR(255) NOT NULL
	,CONSTRAINT `PK_tbUserSettings` PRIMARY KEY (`UserSettingId`)
)

GO

ALTER TABLE `tbUserSettings` ADD 
	CONSTRAINT `FK_tbUserSettings_SettingId` FOREIGN KEY 
	(
		`SettingId`
	)
	REFERENCES `tbSettings` (`SettingId`)
	
GO

ALTER TABLE `tbUserSettings` ADD 
	CONSTRAINT `FK_tbUserSettings_UserId` FOREIGN KEY 
	(
		`UserId`
	)
	REFERENCES `tbUser` (`UserId`)
	
GO

INSERT INTO `tbSettings`
	(SettingCode, ConcurrencyId) VALUES ('LastFolder', '36D3AA20-D5A1-4de9-98B0-2DBBCF391764')

GO