IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbLicense'
			AND 
			C.Name='ConcurrencyID'
	)
	BEGIN
		DELETE FROM [dbo].[tbLicense]
		
		ALTER TABLE [dbo].[tbLicense] 
			ADD [ConcurrencyID] [varchar] (50) NULL 	
			
		ALTER TABLE [dbo].[tbLicense] 
			ALTER COLUMN [ConcurrencyID] [varchar] (50) NOT NULL
	
		ALTER TABLE [dbo].[tbLicense] 
			ADD CONSTRAINT tbLicenseConcurrency_UNIQ unique 
				([ConcurrencyID])

		ALTER TABLE [dbo].[tbLicense] 
			ADD CONSTRAINT tbLicenseLicenseKey_UNIQ unique 
				([LicenseKey])

	END
GO