IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbSecret'
			AND 
			C.Name='AutoChangeOnExpiration'
	)
BEGIN
ALTER TABLE [dbo].tbSecret
	ADD [AutoChangeOnExpiration] BIT NOT NULL DEFAULT (0)
END