IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbSecretType'
			AND 
			C.Name='SecretNameHistoryLength'
	)
BEGIN
ALTER TABLE [dbo].tbSecretType
	ADD [SecretNameHistoryLength] INT NOT NULL DEFAULT (0)
END